Bug 462518 - Suspend fails to turn off display on XO
Suspend fails to turn off display on XO
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
: Triaged
Depends On: olpc-powermgmt
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 16:32 EDT by Jack Spaar
Modified: 2015-03-04 20:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:24:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages for suspend/resume on XO (155.55 KB, text/plain)
2008-09-16 16:32 EDT, Jack Spaar
no flags Details
pm-suspend.log for suspend/resume on XO (2.56 KB, text/plain)
2008-09-16 16:33 EDT, Jack Spaar
no flags Details

  None (edit)
Description Jack Spaar 2008-09-16 16:32:24 EDT
Created attachment 316901 [details]
/var/log/messages for suspend/resume on XO

Description of problem:
After suspend on XO (via pm-suspend or via GUI), display stays on.

Version-Release number of selected component (if applicable):
pm-utils-1.1.2.3-1.fc10.i386
Linux version 2.6.26-20080828.fc9.katzj



How reproducible: always


Steps to Reproduce:
1. Boot fedora livecd built for XO per http://katzj.livejournal.com/438184.html
2. Log in to gnome session
3. 
  
Actual results:
network turns off, power light flashes periodically, display drops to console but stays on

Expected results:
display should be off while suspended

Additional info:
In all other respects suspend/resume seem to work normally.
/var/log/messages attached, suspend initiated at 20:21
/var/log/pm-suspend.log attached

Intended to block FedoraOnXO Tracker https://bugzilla.redhat.com/show_bug.cgi?id=461806
Comment 1 Jack Spaar 2008-09-16 16:33:12 EDT
Created attachment 316902 [details]
pm-suspend.log for suspend/resume on XO
Comment 2 Richard Hughes 2008-09-17 04:18:08 EDT
Surely the kernel should power down the display for us? Or should there be an OLPC specific hook in pm-utils that turns on the DCON?
Comment 3 Bug Zapper 2008-11-25 22:06:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 gary 2009-02-28 19:11:14 EST
FWIW: Testing build 20090227 from http://dev.laptop.org/~cjb/rawhide-xo/ on an
XO is still showing zero power management support (these are all F11 builds BTW), it even informed my battery may be broken, as the first message when booting into Fedora.
Comment 5 Phil Knirsch 2009-04-10 15:52:13 EDT
As it's unclear what the fix is it's unlikely it'll make it before Tuesday, so aiming for F12.

Thanks & regards, Phil
Comment 6 Bug Zapper 2009-11-18 03:23:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:24:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.